
QGIS Application - Bug report #15081

Impossible to clear geometry of feature from a shapefile

2016-06-19 08:22 AM - Harrissou Santanna

Status: Closed

Priority: Normal

Assignee: Even Rouault

Category: Data Provider/OGR

Affected QGIS version:2.14.3 Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution: fixed/implemented

Crashes QGIS or corrupts data:No Copied to github as #: 23023

Description

Select all vertices of a (already saved) feature in a shapefile, click DEL to erase them.

They get wiped and message bar shows: "Geometry has been cleared. Use Add part tool to set geometry for this feature".

Click to save and your geometry reappears with this critical message from bar: "Layer XXXX: OGR error creating geometry for feature X:

".

At the same time, you can add geometryless feature from the attribute table dialog.

This looks no coherent.

Associated revisions

Revision 4c56fa6e - 2016-06-20 12:20 PM - Even Rouault

[OGR provider] Make changeGeometryValues() accept null geometry

Fixes #15081

Revision 72d75ff4 - 2016-06-20 12:25 PM - Even Rouault

[OGR provider] Make changeGeometryValues() accept null geometry

Fixes #15081

History

#1 - 2016-06-20 02:58 AM - Even Rouault

- Assignee set to Even Rouault

- Category changed from Digitising to Data Provider/OGR

#2 - 2016-06-20 03:20 AM - Even Rouault

- Status changed from Open to Closed

Fixed in changeset commit:"4c56fa6e8ebcbcfc732d39e7bbe31d9f8376dee6".

#3 - 2016-06-20 03:27 AM - Even Rouault

- Resolution set to fixed/implemented

- % Done changed from 0 to 100
#4 - 2016-06-20 03:28 AM - Harrissou Santanna

Thanks, Even.
